Bug 52501 - ZVAL_TRUE and ZVAL_FALSE macros broken
Summary: ZVAL_TRUE and ZVAL_FALSE macros broken
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 13:15 UTC by Peter Bowen
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-27 21:02:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix ZVAL_{TRUE|FALSE} macros (542 bytes, patch)
2001-08-24 13:16 UTC, Peter Bowen
no flags Details | Diff

Description Peter Bowen 2001-08-24 13:15:37 UTC
There is a typo in the zend_API.h file in PHP 4.0.6 that prevents the
ZVAL_TRUE and ZVAL_FALSE macros from being usable in extensions.  If they
are used without this fix, then the extension won't compile.  This fix is
in 4.0.7.

Comment 1 Peter Bowen 2001-08-24 13:16:35 UTC
Created attachment 29354 [details]
patch to fix ZVAL_{TRUE|FALSE} macros

Comment 2 Glen Foster 2001-08-24 17:07:50 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 3 Nalin Dahyabhai 2001-08-27 21:02:52 UTC
This will be fixed in php-4.0.6-7 and later.  Thanks!

Comment 4 Peter Bowen 2002-04-14 19:44:47 UTC
This was fixed a while ago.


Note You need to log in before you can comment on or make changes to this bug.